org.eclipse.cdt.core.dom.ast.gnu.cpp

## Interface IGPPBasicType

All Superinterfaces:
  java.lang.Cloneable, IBasicType, ICPPBasicType, IType

Deprecated.
use `ICPPBasicType`, instead.

    @Deprecated
    public interface IGPPBasicType
    extends ICPPBasicType

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IBasicType

`IBasicType.Kind`

### Field Summary

Fields
`static int` `t_typeof` Deprecated. don't use this constant.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBasicType

`LAST, t_bool, t_wchar_t`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBasicType

`IS_COMPLEX, IS_IMAGINARY, IS_LONG, IS_LONG_LONG, IS_SHORT, IS_SIGNED, IS_UNSIGNED, t_char, t_double, t_float, t_int, t_unspecified, t_void`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IType` `getTypeofType()` Deprecated. don't use this method.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBasicType

`getQualifierBits`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBasicType

`getKind, getModifiers, getType, getValue, isComplex, isImaginary, isLong, isLongLong, isShort, isSigned, isUnsigned`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Field Detail

#### t_typeof

    @Deprecated
    static final int t_typeof

Deprecated. don't use this constant.

See Also:
  Constant Field Values

### Method Detail

#### getTypeofType

    @Deprecated
    IType getTypeofType()
                             throws DOMException

Deprecated. don't use this method.

Throws:
  `DOMException`